<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_moodlemobileapp', language 'pt_br', branch 'MOODLE_26_STABLE'
 *
 * @package   local_moodlemobileapp
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['about'] = 'Sobre';
$string['add'] = 'Adicionar';
$string['addcontact'] = 'Adicionar como contato';
$string['addedtoqueue'] = 'Você está desconectado(a) da Internet; sua operação foi adicionada à fila de tarefas.';
$string['addfakenotifications'] = 'Adicionar notifcações falsas';
$string['addnote'] = 'Adicionar uma anotação';
$string['address'] = 'Endereço';
$string['addsite'] = 'Adicionar um site';
$string['allcachespurged'] = 'Todos os caches forma eliminados';
$string['areyousurereset'] = 'Tem certeza de que deseja redefinir o aplicativo? Todos os seus sites serão excluídos.';
$string['audionotavailable'] = 'Hardware de entrada de áudio não disponível';
$string['audiorecordinstructions'] = 'Pressione Gravar para iniciar a gravação de áudio, Stop para parar e fazer o upload do arquivo.';
$string['authenticating'] = 'Autenticação';
$string['author'] = 'Autor';
$string['back'] = 'Voltar';
$string['browsephotoalbums'] = 'Álbum de fotos';
$string['cacheexpirationtime'] = 'Tempo de expiração do cache (milisegundos)';
$string['cancel'] = 'Cancelar';
$string['cannotaddnote'] = 'Rede não acessível. Sua anotação foi salva na fila de tarefas; você pode reenviá-lo assim que estiver conectado(a).';
$string['cannotconnect'] = 'Não é possível conectar-se: Verifique se digitou a URL corretamente e se seu site usa o Moodle 2.4 ou posterior.';
$string['cannotconnectssl'] = 'Não é possível conectar-se: Verifique se digitou a URL corretamente, se seu site usa o Moodle 2.4 ou posterior e se o certificado SSL é válido.';
$string['cannotsendmessage'] = 'Rede não acessível. Sua mensagem foi salva na fila de tarefas; você pode reenviá-lo assim que estiver conectado(a).';
$string['city'] = 'Cidade';
$string['close'] = 'Feche';
$string['completed'] = 'Completo';
$string['contact'] = 'Contato';
$string['contactadd'] = 'Contato adicionado à sua lista de contatos do telefone.';
$string['content'] = 'Conteúdo';
$string['contents'] = 'Conteúdos';
$string['contentyetnotavailable'] = 'Este tipo de atividade não está disponível pelo aplicativo do celular ainda';
$string['continue'] = 'Continue';
$string['country'] = 'País';
$string['coursename'] = 'Nome do curso';
$string['csssynced'] = 'CSS remoto sincronizado';
$string['date'] = 'Data';
$string['days'] = 'Dias';
$string['delete'] = 'Deletar';
$string['deletesite'] = 'Deletar este site?';
$string['deletesitefiles'] = 'Tem certeza que deseja deletar os arquivos baixados a partir deste site?';
$string['description'] = 'Descrição';
$string['details'] = 'Detalhes';
$string['development'] = 'Desenvolvimento';
$string['deviceinfo'] = 'Informações do dispositivo';
$string['disablenotifications'] = 'Desabilitar notificações';
$string['disablerdebugger'] = 'Desativar a depuração remota';
$string['docsurl'] = 'http://docs.moodle.org/pt_br/Mobile_app';
$string['dodeletesite'] = 'Sim, eliminar completamente este site.';
$string['donotdeletesite'] = 'Opa, não faça isso!';
$string['downloadremotefile'] = 'Baixar o arquivo remoto';
$string['downloadtime'] = 'Transferido';
$string['email'] = 'Email';
$string['empty'] = 'vazio';
$string['enableautosync'] = 'Ativar sincronização automática';
$string['enableautosynccss'] = 'Ativar a sincronização de folha de estilo CSS adicional';
$string['enableautosynclang'] = 'Ativar a sincronização de arquivos de idioma';
$string['enableautosyncws'] = 'Ativar a sincronização das operações e dados';
$string['enablecss3transitions'] = 'Ativar CSS3 Transitions';
$string['enabledebugging'] = 'Ativar a depuração';
$string['enablenotifications'] = 'Ativar notificações';
$string['enablenotificationscheck'] = '<p> Você deve verificar primeiro se o seu site Moodle suporta notificações PUSH, por favor, abra o seu site Moodle e vá para Administração / Minhas configurações de perfil / Mensagens. Se notificações PUSH estão habilitados você deve ver uma coluna chamada Mobile PUSH Notifications</p>';
$string['enablenotificationswarning'] = '<p> Para ativar as notificações de que precisamos para armazenar informações como o modelo do dispositivo móvel e do sistema operacional no site do Moodle. </p>';
$string['enablerdebugger'] = 'Ativar a depuração remota';
$string['error'] = 'Erro';
$string['errorcamera'] = 'Erro ao acessar a câmera';
$string['errorcameramsg'] = 'Dispositivo não suporta uma cêmera';
$string['errorcapturingaudio'] = 'Erro ao capturar áudio';
$string['errorduringdevicetokenrequesttoapns'] = 'Erro durante requisição de token do dispositivo ao APNS';
$string['errorregisteringdeviceinmoodle'] = 'Erro ao registrar dispositivo ao Moodle';
$string['erroruploading'] = 'Erro ao enviar arquivo';
$string['estimatedfreespace'] = 'Espaço livre estimado';
$string['events'] = 'Eventos do Calendário';
$string['filename'] = 'Nome do arquivo';
$string['filesize'] = 'Tamanho';
$string['fileuploaded'] = 'Arquivo enviado';
$string['fileurl'] = 'URL do arquivo';
$string['forcecsssync'] = 'Forçar sincronização do CSS agora';
$string['forcelangsync'] = 'Forçar sincronização do idioma agora';
$string['forceofflinemode'] = 'Forçar modo off-line';
$string['fullname'] = 'Nome completo';
$string['general'] = 'Geral';
$string['grade'] = 'Notas';
$string['help'] = 'Ajuda';
$string['helpmelogin'] = '<p>Para efetuar o login, por favor verifique se:</p>1. O site Moodle é a versão 2.4 ou superior.<br />2. O administrador do site Moodle permitiu o acesso móvel.<br /><br /><p> Para testar o aplicativo em um site Moodle demo, digite <i>teacher</i>  ou <i>estudent</i> no campo <i>Usuário</i> e clique no botão <b>Adicionar</b>.</p><p><a href=\'http://docs.moodle.org/pt_br/Mobile_app\' target=\'_blank\'>Visite o site de documentação do Moodle para informações mais detalhadas e ajuda.</a></p>';
$string['icantlogin'] = 'Não consigo conectar';
$string['imagestored'] = 'Sua imagem foi guardada em sua área privada';
$string['info'] = 'Informações';
$string['initializing'] = 'Inicializando...';
$string['invalidaccount'] = 'Por favor, verifique os detalhes de seu Usuário ou peça ao administrador do site para verificar a configuração do site.';
$string['invalidmoodleversion'] = 'Versão do Moodle inválida. A versão mínima requerida é:';
$string['invalidscheme'] = 'Por favor, forneça uma URL válida';
$string['invalidsite'] = 'A URL do siteé inválida.';
$string['langsynced'] = 'Idioma sincronizado';
$string['language'] = 'Idioma';
$string['license'] = 'Licença';
$string['loadcordovaemulator'] = 'Carregar emulador Cordova';
$string['loading'] = 'Carregando';
$string['localpath'] = 'Caminho local';
$string['location'] = 'Localização';
$string['logout'] = 'Sair';
$string['lostconnection'] = 'Perdemos conexão. Você precisa se reconectar. Seu token agora está inválido.';
$string['message'] = 'Mensagem';
$string['messagesent'] = 'Mensagem enviada';
$string['modulename'] = 'Nome do módulo';
$string['moodlehelp'] = 'Ajuda';
$string['mycourses'] = 'Meus cursos';
$string['name'] = 'Nome';
$string['networkerror'] = 'Rede não acessível';
$string['networkerrormsg'] = 'Rede não habilitada ou não está funcionado';
$string['no'] = 'Não';
$string['notaskstobesynchronized'] = 'Não há tarefas a serem sincronizadas';
$string['noteadded'] = 'Nota adicionada';
$string['notifications'] = 'Notificação';
$string['notificationsdisabled'] = 'Notificações estão desativadas';
$string['notificationsenabled'] = 'Notificações';
$string['notificationsnotsupported'] = 'Notificações ainda não são suportadas em sistemas Android.';
$string['offlinemode'] = 'Modo off-line';
$string['ok'] = 'OK';
$string['participants'] = 'Participantes';
$string['password'] = 'Senha';
$string['passwordlabel'] = 'Senha';
$string['passwordnotnull'] = 'Por favor, digite sua senha';
$string['passwordrequired'] = 'Senha necessária';
$string['phone1'] = 'Telefone';
$string['phone2'] = 'Celular';
$string['pluginname'] = 'Cadeias de idiomas no Moodle Mobile';
$string['preview'] = 'Visualização';
$string['purgecaches'] = 'Limpar caches';
$string['rdebuggingenabledfor'] = 'A depuração remota será ativado durante os seguintes segundos:';
$string['record'] = 'Registro';
$string['recordaudio'] = 'Áudio';
$string['recordstored'] = 'Sua gravação foi armazenada em sua área privada';
$string['replay'] = 'Repetição';
$string['reportabug'] = 'Reportar um bug';
$string['reportbuginfo'] = 'Toque no botão de e-mail para o envio de um relatório de erro por e-mail <br /><br /> <b>Não se esqueça de escrever uma descrição detalhada do problema no corpo do email</b> <br /><br /> Note-se que algumas informações de depuração serão anexadas (informação não privada)';
$string['reportbugmail'] = 'moodlemobilereport@gmail.com';
$string['requiredfields'] = 'Todos os campos obrigatórios devem ser preenchidos.';
$string['resetapp'] = 'Reinicie o Aplicativo';
$string['save'] = 'Salve';
$string['saving'] = 'Salvando...';
$string['select'] = 'Selecione';
$string['selectsite'] = 'Selecione um site';
$string['send'] = 'Enviar';
$string['sendall'] = 'Envie tudo';
$string['sendmessage'] = 'Envie uma mensagem';
$string['settings'] = 'Configurações';
$string['showall'] = 'Mostrar todos';
$string['showlog'] = 'Mostrar log';
$string['siteexists'] = 'Este site já existe.';
$string['sitename'] = 'Nome do site';
$string['sites'] = 'Sites';
$string['siteurl'] = 'URL do site';
$string['siteurllabel'] = 'URL do site';
$string['siteurlrequired'] = 'URL do site é obrigatória, por exemplo  <i>http://www.yourmoodlesite.abc ou https://www.yourmoodlesite.efg</i>';
$string['spaceusage'] = 'Uso do espaço';
$string['stop'] = 'Pare';
$string['strings'] = 'Cadeias de caractere';
$string['synchronization'] = 'Sincronização';
$string['takephoto'] = 'Tire uma foto';
$string['takepicture'] = 'Câmera';
$string['taskqueue'] = 'Fila de tarefas';
$string['therearentnotificationsyet'] = 'Não há notificações';
$string['threemonthsmore'] = 'Mostrar mais 3 meses';
$string['timecreated'] = 'Data de adição';
$string['timeduration'] = 'Tempo de duração';
$string['timemodified'] = 'Última modificação';
$string['timestart'] = 'Hora de início';
$string['total'] = 'Total';
$string['totalusage'] = 'Uso total';
$string['type'] = 'Tipo';
$string['unexpectederror'] = 'Erro inesperado. Por favor, feche e abra novamente o aplicativo para tentar novamente';
$string['update'] = 'Atualizar';
$string['updatesite'] = 'Atualize o site';
$string['upload'] = 'Carregar';
$string['uploading'] = 'Enviando';
$string['uploadingtoprivatefiles'] = 'Enviando para sua área de arquivos pessoais';
$string['userfrom'] = 'do(a)';
$string['username'] = 'Nome de Usuário';
$string['usernamelabel'] = 'Usuário';
$string['usernamerequired'] = 'Nome de usuário exigido';
$string['videofilenameprefix'] = 'iphone_upload-video';
$string['viewableonthisapp'] = 'Visível neste aplicativo';
$string['warning'] = 'Aviso';
$string['website'] = 'Site';
$string['welcome'] = 'Bem vindo ao aplicativo Moodle Mobile';
$string['writeherethebug'] = 'Escreva aqui uma descrição detalhada do problema';
$string['yes'] = 'Sim';
$string['yourpassword'] = 'senha';
$string['yoursiteurl'] = 'https://seumoodle.com';
$string['yourusername'] = 'usuário';
